DELIMITER_LEFT=%%
DELIMITER_RIGHT=%%
IS_DEP_TRUE=--asdeps
IS_DEP_FALSE=
BEGIN

# Check if the graph level has increased and wait for pending installations
# to ensure dependency resolution for the next level.
if [[ %%GRAPH_LEVEL%% -ne $GRAPH_LEVEL ]]
then
  wait_and_install_pending
fi
# Update the graph level.v
GRAPH_LEVEL=%%GRAPH_LEVEL%%

################################################################################
# Target: %%REPO%%/%%PKGNAME%%-%%VERSION%%
# Package Base: %%PKGBASE%%
# Maintainer(s): %%MAINTAINERS%%
pushd %%QUOTED_BUILDDIR%%
pb-query_trust -l %%QUOTED_BUILDDIR%% --rid %%QUOTED_RID%% %%QUOTED_REPO%%/%%QUOTED_PKGBASE%% %%QUOTED_MAINTAINERS%%
# Background the build process without installation. If the package requires
# dependencies that have not been pre-emptively installed, this will not work.
# Pacboy should handle the pre-emptive installation.
makepkgx --pconfig %%QUOTED_PACMAN_CONF%% --pkg %%QUOTED_PKGNAME%% %%IS_DEP%% &
# Store the PID
MAKEPKG_PIDS+=($!)
# Append the installation commands to the script.
cat >> "$PENDING_MAKEPKG_CMDS_SCRIPT" <<'SCRIPT'
pushd %%QUOTED_BUILDDIR%%
makepkgx -irs --pconfig %%QUOTED_PACMAN_CONF%% --pkg %%QUOTED_PKGNAME%% %%IS_DEP%% &
pacman --config %%QUOTED_PACMAN_CONF%% -T %%QUOTED_PKGNAME%% || exit 1
popd
SCRIPT
popd
################################################################################
