#!/bin/bash
set -e

function clean()
{
  rm -fr ./tmpdb ./tmpcache
}
trap clean EXIT

function echorun()
{
  cat <<HEADER
################################################################################
$@
################################################################################
HEADER
  "$@"
  echo
}

function pacboy()
{
  echorun python3 -m XCPF.Pacboy "$@"
}

for q_ in '' '-q'
do
  for config_ in '' '--pb-config ./config-pacboy.json'
  do
    clean
    args_="--pb-verbose $q_ $config_"
    pacboy $args_ -Sl
    pacboy $args_ -Sl core
    pacboy $args_ -Ss
    pacboy $args_ -Ss pacman
    pacboy $args_ -Si
    pacboy $args_ -Si pacman
    pacboy $args_ -Sii pacman
    pacboy $args_ -Sg
    pacboy $args_ -Sgg
    pacboy $args_ -Sg base-devel
    pacboy $args_ -Sw --noconfirm --cachedir ./tmpcache base-devel || true
    pacboy $args_ -Qu
  #   pacboy $args_ -Qu --pb-td ./tmpdb
    pacboy $args_ -Qu --pb-td ./tmpdb --pb-tdr
  #   pacboy $args_ -Qu --pb-td ./tmpdb --pb-tdr --pb-tdr
  done
done
clean
echo "${0##*/}: done"
